Summary:	MATE media programs
Summary(pl.UTF-8):	Programy multimedialne dla środowiska MATE
Name:		mate-media
Version:	1.26.2
Release:	2
License:	GPL v2+ (volume control, sound theme), FDL (documentation)
Group:		X11/Applications/Multimedia
Source0:	https://pub.mate-desktop.org/releases/1.26/%{name}-%{version}.tar.xz
# Source0-md5:	4202b5b5bf55f9069aff04701e19124f
URL:		https://github.com/mate-desktop/mate-media
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.50.0
BuildRequires:	gtk+3-devel >= 3.22
BuildRequires:	libcanberra-devel >= 0.13
BuildRequires:	libcanberra-gtk3-devel >= 0.13
BuildRequires:	libmatemixer-devel >= 1.10.0
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	mate-common >= 1.2.1
BuildRequires:	mate-desktop-devel >= 1.17.0
BuildRequires:	mate-panel-devel >= 1.17.0
BuildRequires:	rpmbuild(find_lang) >= 1.36
BuildRequires:	rpmbuild(macros) >= 1.445
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires:	desktop-file-utils
Requires:	glib2 >= 1:2.50.0
Requires:	gtk+3 >= 3.22
Requires:	libcanberra >= 0.13
Requires:	libcanberra-gtk3 >= 0.13
Requires:	libmatemixer >= 1.10.0
Requires:	mate-desktop-libs >= 1.17.0
Requires:	mate-panel >= 1.17.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# use the same libexecdir as mate-panel
# (better solution: store mate-panel libexecdir in libmatepanelapplet-*.pc and read it here)
%define		matepanel_libexecdir	%{_libexecdir}/mate-panel

%description
This package contains a few media utilities for the MATE desktop,
including a volume control.

%description -l pl.UTF-8
Ten pakiet zawiera kilka narzędzi multimedialnych dla środowiska MATE,
w tym do sterowania głośnością dźwięku.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--libexecdir=%{matepanel_libexecdir} \
	--disable-schemas-compile \
	--disable-silent-rules \
	--disable-static \
	--with-gnu-ld

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{es_ES,frp,ie,jv,ku_IQ,pms}

desktop-file-install \
	--remove-category="MATE" \
	--add-category="X-Mate" \
	--delete-original \
	--dir=$RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_desktopdir}/mate-volume-control.desktop

%find_lang %{name} --with-mate --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%postun
%update_desktop_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/mate-volume-control
%attr(755,root,root) %{_bindir}/mate-volume-control-status-icon
/etc/xdg/autostart/mate-volume-control-status-icon.desktop
%{_datadir}/mate-media
%{_datadir}/sounds/mate
%{_desktopdir}/mate-volume-control.desktop
%{_mandir}/man1/mate-volume-control.1*
%{_mandir}/man1/mate-volume-control-status-icon.1*
# panel applet
%attr(755,root,root) %{matepanel_libexecdir}/mate-volume-control-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.GvcAppletFactory.service
%{_datadir}/mate-panel/applets/org.mate.applets.GvcApplet.mate-panel-applet
%changelog
* Wed Dec 27 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-media.git;a=log;h=master

* Wed Dec 27 2023 Jan Rękorajski <baggins@pld-linux.org> ce9860c
- Release 2 (by relup.sh)

* Mon Dec 25 2023 Jan Palus <atler@pld-linux.org> ae1bf23
- up to 1.26.2

* Sat May 13 2023 Jan Palus <atler@pld-linux.org> d955643
- up to 1.26.1

* Sun Aug 29 2021 Jakub Bogusz <qboosh@pld-linux.org> e88ca8c
- macros for update_desktop_database

* Wed Aug 18 2021 Jan Palus <atler@pld-linux.org> 0822fd7
- up to 1.26.0

* Fri Aug 14 2020 Jan Palus <atler@pld-linux.org> 01ab392
- up to 1.24.1

* Tue Feb 11 2020 Jan Palus <atler@pld-linux.org> 3dd3556
- up to 1.24.0

* Fri Sep 20 2019 Jan Palus <atler@pld-linux.org> e442351
- up to 1.22.2

* Tue May 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 7836cd2
- mate-panel dependencies and unified libexecdir
- kab locale is supported now
- release 2

* Tue Apr 02 2019 Jan Palus <atler@pld-linux.org> 3419f1c
- up to 1.22.1

* Mon Mar 18 2019 Jan Palus <atler@pld-linux.org> 66fded1
- up to 1.22.0

* Thu Dec 20 2018 Jan Palus <atler@pld-linux.org> c1bbda6
- up to 1.20.2

* Fri Jun 15 2018 Jan Palus <atler@pld-linux.org> 4eb2fb7
- up to 1.20.1

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> 6ac3c17
- up to 1.20.0

* Mon Nov 06 2017 Jan Palus <atler@pld-linux.org> cdcc947
- up to 1.18.2

* Sat Jun 17 2017 Jan Palus <atler@pld-linux.org> 9f56b41
- up to 1.18.1

* Wed Mar 15 2017 Jan Palus <atler@pld-linux.org> a54d917
- up to 1.18.0

* Thu Sep 22 2016 Jan Palus <atler@pld-linux.org> e1bb132
- up to 1.16.0

* Sat Aug 13 2016 Jan Palus <atler@pld-linux.org> 43de51e
- up to 1.14.1

* Sat Apr 09 2016 Jan Palus <atler@pld-linux.org> 2efada6
- up to 1.14.0

